org.bdgenomics.adam.rdd.read

# AnySAMInFormatterCompanion

#### trait AnySAMInFormatterCompanion[T <: AnySAMInFormatter[T]] extends InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, T]

Companion object that builds an InFormatter that writes data where the metadata is contained in a SAMFileHeaderWritable.

T

  The type of the underlying InFormatter.

Linear Supertypes
InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, T], AnyRef, Any
Known Subclasses
BAMInFormatter, SAMInFormatter
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AnySAMInFormatterCompanion
2. InFormatterCompanion
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def makeFormatter(header: SAMFileHeaderWritable, recordGroups: RecordGroupDictionary, converter: AlignmentRecordConverter): T

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(gRdd: AlignmentRecordRDD): T

   Makes an AnySAMInFormatter from a GenomicRDD of AlignmentRecords.

   Makes an AnySAMInFormatter from a GenomicRDD of AlignmentRecords.

   gRdd

     AlignmentRecordRDD with reference build and record group info.

   returns

     Returns an InFormatter that extends AnySAMInFormatter.

   Definition Classes
     AnySAMInFormatterCompanion → InFormatterCompanion

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, T]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped